Bug 186705 - [patch] print/ghostscript9: fix iconv detection
[patch] print/ghostscript9: fix iconv detection
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: doceng
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-12 20:50 UTC by Tijl Coosemans
Modified: 2014-03-06 07:10 UTC (History)
0 users

See Also:


Attachments
ghostscript.patch (3.60 KB, patch)
2014-02-12 20:50 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2014-02-12 20:50:00 UTC
Don't enforce the use of GNU libiconv on FreeBSD 10.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-12 20:50:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->doceng

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-03-02 18:18:30 UTC
Author: hrs
Date: Sun Mar  2 18:18:19 2014
New Revision: 346786
URL: http://svnweb.freebsd.org/changeset/ports/346786
QAT: https://qat.redports.org/buildarchive/r346786/

Log:
  - Fix iconv dependency [*]
  - Add STAGEDIR support.
  - Fix old syntax in LIB_DEPENDS.
  
  Submitted by:	tijl [*]
  PR:		ports/186705 [*]

Modified:
  head/print/ghostscript9-agpl-nox11/Makefile
  head/print/ghostscript9-agpl/Makefile
  head/print/ghostscript9-agpl/files/Makefile.dmprt
  head/print/ghostscript9-agpl/files/Makefile.drivers_post
  head/print/ghostscript9-agpl/files/Makefile.epag
  head/print/ghostscript9-agpl/files/Makefile.pcl3
  head/print/ghostscript9-agpl/pkg-plist
  head/print/ghostscript9-nox11/Makefile
  head/print/ghostscript9/Makefile
  head/print/ghostscript9/files/Makefile.dmprt
  head/print/ghostscript9/files/Makefile.drivers_post
  head/print/ghostscript9/files/Makefile.epag
  head/print/ghostscript9/files/Makefile.pcl3
  head/print/ghostscript9/pkg-plist

Modified: head/print/ghostscript9-agpl-nox11/Makefile
==============================================================================
--- head/print/ghostscript9-agpl-nox11/Makefile	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9-agpl-nox11/Makefile	Sun Mar  2 18:18:19 2014	(r346786)
@@ -4,5 +4,4 @@ OPTIONS_UNSET=	X11
 
 MASTERDIR=	${.CURDIR}/../ghostscript9-agpl
 
-NO_STAGE=	yes
 .include        "${MASTERDIR}/Makefile"

Modified: head/print/ghostscript9-agpl/Makefile
==============================================================================
--- head/print/ghostscript9-agpl/Makefile	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9-agpl/Makefile	Sun Mar  2 18:18:19 2014	(r346786)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ghostscript
 PORTVERSION=	9.07
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	print
 MASTER_SITES=	http://downloads.ghostscript.com/public/:gs_srcs \
 		SF/ghostscript/GPL%20Ghostscript/${PORTVERSION}:gs_srcs \
@@ -20,14 +20,14 @@ COMMENT=	Ghostscript 9.x PostScript inte
 
 LICENSE=	AGPLv3
 
-LIB_DEPENDS=	expat:${PORTSDIR}/textproc/expat2 \
-		idn:${PORTSDIR}/dns/libidn \
-		jbig2dec:${PORTSDIR}/graphics/jbig2dec \
-		jpeg:${PORTSDIR}/graphics/jpeg \
-		png15:${PORTSDIR}/graphics/png \
-		tiff:${PORTSDIR}/graphics/tiff \
-		lcms2:${PORTSDIR}/graphics/lcms2 \
-		paper:${PORTSDIR}/print/libpaper
+LIB_DEPENDS=	libexpat.so:${PORTSDIR}/textproc/expat2 \
+		libidn.so:${PORTSDIR}/dns/libidn \
+		libjbig2dec.so:${PORTSDIR}/graphics/jbig2dec \
+		libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libpng15.so:${PORTSDIR}/graphics/png \
+		libtiff.so:${PORTSDIR}/graphics/tiff \
+		liblcms2.so:${PORTSDIR}/graphics/lcms2 \
+		libpaper.so:${PORTSDIR}/print/libpaper
 RUN_DEPENDS=	${LOCALBASE}/share/${PORTNAME}/fonts/a010013l.pfb:${PORTSDIR}/print/gsfonts
 
 CONFLICTS_INSTALL= \
@@ -44,7 +44,6 @@ GNU_CONFIGURE=	yes
 
 MAKE_ENV=	CFLAGS_STANDARD="${CFLAGS}" \
 		XCFLAGS="${XCFLAGS}" XLDFLAGS="${XLDFLAGS}" \
-		EXTRALIBS="${EXTRALIBS}" \
 		SOC_LOADER="dxmainc.c"
 CONFIGURE_ENV=	${MAKE_ENV}
 CONFIGURE_ARGS=	--disable-compile-inits \
@@ -75,51 +74,23 @@ PKGMESSAGE=	${WRKDIR}/pkg-message
 
 OPTIONS_DEFINE=	X11 DOCS CUPS FONTCONFIG ICONV GTK2
 OPTIONS_DEFAULT=X11 DOCS CUPS FONTCONFIG ICONV
+OPTIONS_SUB=	yes
 FONTCONFIG_DESC=Enable fontconfig support
 NO_OPTIONS_SORT=yes
 
-MAN1=		dvipdf.1 font2c.1 gs.1 gslp.1 gsnd.1 \
-		pdf2dsc.1 pdf2ps.1 pdfopt.1 pf2afm.1 pfbtopfa.1 printafm.1 \
-		ps2ascii.1 ps2epsi.1 ps2pdf.1 ps2pdfwr.1 ps2ps.1 \
-		wftopfa.1
-MLINKS=		gslp.1 gsbj.1 \
-		gslp.1 gsdj.1 \
-		gslp.1 gsdj500.1 \
-		gslp.1 gslj.1 \
-		ps2pdf.1 ps2pdf12.1 \
-		ps2pdf.1 ps2pdf13.1 \
-		ps2pdf.1 ps2pdf14.1 \
-		ps2ps.1 eps2eps.1
-
 EXCLUDE_DIRS=	freetype jbig2dec jpeg expat jasper lcms libpng tiff zlib
 
-NO_STAGE=	yes
 .include "Makefile.drivers"
 .include <bsd.port.options.mk>
 
 MASTERDIR?=	${.CURDIR}
 .include "${MASTERDIR}/files/Makefile.drivers_post"
 
-.for D in ${OPTIONS_DEFINE:MGS_*:S/^GS_//} \
-	${OPTIONS_MULTI_X11:MGS_*:S/^GS_//} \
-	${OPTIONS_GROUP_ICONV:MGS_*:S/^GS_//} \
-	${OPTIONS_GROUP_SVGALIB:MGS_*:S/^GS_//}
-.if ${PORT_OPTIONS:MGS_${D}}
-PLIST_SUB+=	GS_${D}=""
-.else
-PLIST_SUB+=	GS_${D}="@comment "
-.endif
-.endfor
-
-.if ${PORT_OPTIONS:MFONTCONFIG}
-LIB_DEPENDS+=	fontconfig:${PORTSDIR}/x11-fonts/fontconfig
-CONFIGURE_ARGS+=	--enable-fontconfig
-.else
-CONFIGURE_ARGS+=	--disable-fontconfig
-.endif
+FONTCONFIG_LIB_DEPENDS=	libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig
+FONTCONFIG_CONFIGURE_ENABLE=	fontconfig
 
 # FT_BRIDGE=1 by default
-LIB_DEPENDS+=	freetype:${PORTSDIR}/print/freetype2
+LIB_DEPENDS+=	libfreetype.so:${PORTSDIR}/print/freetype2
 MAKE_ENV+=	FT_BRIDGE=1
 
 ALL_TARGET=	so
@@ -144,8 +115,8 @@ PORTDOC_FILES=	japanese/Gdevlips.htm jap
 
 post-patch:
 	${REINPLACE_CMD} -e 's|%%DATADIR%%|${DATADIR}|g ; \
-		 s|%%GS_VERSION%%|${PORTVERSION}|g' \
-			${WRKSRC}/contrib/japanese/dmp_site.ps
+	    s|%%GS_VERSION%%|${PORTVERSION}|g' \
+	    ${WRKSRC}/contrib/japanese/dmp_site.ps
 
 pre-build-drivers.mak:
 	@${ECHO_CMD} '# automatically generated' > ${WRKSRC}/base/drivers.mak
@@ -177,25 +148,22 @@ pre-install:
 		gs_statd.ps.orig gs_ttf.ps.orig pdf_font.ps.orig
 
 pre-su-install:
-	${MKDIR} ${DATADIR}
+	${MKDIR} ${STAGEDIR}${DATADIR}
 
 post-install-docs:
 	${MKDIR} ${WRKSRC}/contrib/japanese
 	${INSTALL_DATA} ${WRKSRC}/contrib/japanese/doc/* ${WRKSRC}/contrib/japanese
-	${MKDIR} ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
 	cd ${WRKSRC}/contrib && \
 		${TAR} -cf - ${PORTDOC_FILES} | \
-		( cd ${DOCSDIR} && ${TAR} -xof - )
+		( cd ${STAGEDIR}${DOCSDIR} && ${TAR} -xof - )
 
 post-install:
-	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${DATADIR}/${PORTVERSION}
-	${STRIP_CMD} ${PREFIX}/bin/gsc ${PREFIX}/bin/gsx
-	${LN} -sf gsc ${PREFIX}/bin/gs
+	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${STAGEDIR}${DATADIR}/${PORTVERSION}
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/gsc ${STAGEDIR}${PREFIX}/bin/gsx
+	${LN} -sf gsc ${STAGEDIR}${PREFIX}/bin/gs
 	${LN} -s -f ${LOCALBASE}/share/fonts/CIDFont \
-		${DATADIR}/${PORTVERSION}/Resource/CIDFont/fonts
-	@${ECHO_MSG}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_MSG}
+		${STAGEDIR}${DATADIR}/${PORTVERSION}/Resource/CIDFont/fonts
 
 .if ${PORT_OPTIONS:MDOCS}
 post-install: post-install-docs

Modified: head/print/ghostscript9-agpl/files/Makefile.dmprt
==============================================================================
--- head/print/ghostscript9-agpl/files/Makefile.dmprt	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9-agpl/files/Makefile.dmprt	Sun Mar  2 18:18:19 2014	(r346786)
@@ -3,6 +3,6 @@
 post-install-dmprt:
 	cd ${FILESDIR} && \
 		${INSTALL_DATA} lqx70ch.upp lqx70cl.upp lqx70cm.upp \
-		${DATADIR}/${PORTVERSION}/lib
+		${STAGEDIR}${DATADIR}/${PORTVERSION}/lib
 
 post-install: post-install-dmprt

Modified: head/print/ghostscript9-agpl/files/Makefile.drivers_post
==============================================================================
--- head/print/ghostscript9-agpl/files/Makefile.drivers_post	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9-agpl/files/Makefile.drivers_post	Sun Mar  2 18:18:19 2014	(r346786)
@@ -111,8 +111,7 @@ PORT_OPTIONS:=	${PORT_OPTIONS:NGS_${D}}
 
 .if defined(_ICONV_DEVS)
 USES+=		iconv
-CONFIGURE_ARGS+=--with-libiconv=gnu
-EXTRALIBS+=	-liconv
+CONFIGURE_ARGS+=--with-libiconv=maybe
 .else
 CONFIGURE_ARGS+=--with-libiconv=no
 .endif

Modified: head/print/ghostscript9-agpl/files/Makefile.epag
==============================================================================
--- head/print/ghostscript9-agpl/files/Makefile.epag	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9-agpl/files/Makefile.epag	Sun Mar  2 18:18:19 2014	(r346786)
@@ -17,7 +17,7 @@ post-build-epag:
 		${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} Makefile
 
 post-install-epag:
-	${INSTALL_PROGRAM} ${WRKSRC}/${EPAG_NAME}/ert ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/${EPAG_NAME}/ert ${STAGEDIR}${PREFIX}/bin
 
 pre-build: pre-build-epag
 post-build: post-build-epag

Modified: head/print/ghostscript9-agpl/files/Makefile.pcl3
==============================================================================
--- head/print/ghostscript9-agpl/files/Makefile.pcl3	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9-agpl/files/Makefile.pcl3	Sun Mar  2 18:18:19 2014	(r346786)
@@ -4,8 +4,6 @@ PORTDOCS+=	pcl3
 PORTDOC_FILES+= pcl3/NEWS pcl3/BUGS pcl3/README pcl3/gs-pcl3.html	\
 	pcl3/how-to-report.txt pcl3/pcl3opts.html
 
-MAN1+=	gs-pcl3.1 pcl3opts.1
-
 post-build-pcl3:
 	cd ${WRKSRC} && \
 		${CC} ${CFLAGS} -I./obj -I./soobj -I./base \
@@ -14,8 +12,8 @@ post-build-pcl3:
 		contrib/pcl3/eprn/mediasize.c contrib/pcl3/src/pclsize.c
 
 post-install-pcl3:
-	${INSTALL_PROGRAM} ${WRKSRC}/bin/pcl3opts ${PREFIX}/bin
-	${MKDIR} ${DATADIR}/${PORTVERSION}/pcl3
+	${INSTALL_PROGRAM} ${WRKSRC}/bin/pcl3opts ${STAGEDIR}${PREFIX}/bin
+	${MKDIR} ${STAGEDIR}${DATADIR}/${PORTVERSION}/pcl3
 	cd ${WRKSRC}/contrib/pcl3 && \
 		${INSTALL_DATA} lib/example.mcf lib/if-pcl3		\
 			ps/calign.ps ps/dumppdd.ps ps/levels-test.ps	\
@@ -24,9 +22,9 @@ post-install-pcl3:
 			ps/margins-EnvDLRotated.ps			\
 			ps/margins-Letter.ps				\
 			ps/margins-LetterRotated.ps			\
-			${DATADIR}/${PORTVERSION}/pcl3
+			${STAGEDIR}${DATADIR}/${PORTVERSION}/pcl3
 	cd ${WRKSRC}/contrib/pcl3/doc && \
-		${INSTALL_MAN} gs-pcl3.1 pcl3opts.1 ${MANPREFIX}/man/man1
+		${INSTALL_MAN} gs-pcl3.1 pcl3opts.1 ${STAGEDIR}${MANPREFIX}/man/man1
 
 post-install-docs-pcl3:
 	${MKDIR} ${WRKSRC}/contrib/pcl3

Modified: head/print/ghostscript9-agpl/pkg-plist
==============================================================================
--- head/print/ghostscript9-agpl/pkg-plist	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9-agpl/pkg-plist	Sun Mar  2 18:18:19 2014	(r346786)
@@ -40,6 +40,33 @@ lib/libgs.so.%%GS_VERSION%%
 %%X11BITS%%lib/ghostscript/%%GS_VERSION%%/X11.so
 %%X11BITS%%@dirrm lib/ghostscript/%%GS_VERSION%%
 %%X11BITS%%@dirrmtry lib/ghostscript
+man/man1/dvipdf.1.gz
+man/man1/eps2eps.1.gz
+man/man1/font2c.1.gz
+%%GS_pcl3%%man/man1/gs-pcl3.1.gz
+man/man1/gs.1.gz
+man/man1/gsbj.1.gz
+man/man1/gsdj.1.gz
+man/man1/gsdj500.1.gz
+man/man1/gslj.1.gz
+man/man1/gslp.1.gz
+man/man1/gsnd.1.gz
+%%GS_pcl3%%man/man1/pcl3opts.1.gz
+man/man1/pdf2dsc.1.gz
+man/man1/pdf2ps.1.gz
+man/man1/pdfopt.1.gz
+man/man1/pf2afm.1.gz
+man/man1/pfbtopfa.1.gz
+man/man1/printafm.1.gz
+man/man1/ps2ascii.1.gz
+man/man1/ps2epsi.1.gz
+man/man1/ps2pdf.1.gz
+man/man1/ps2pdf12.1.gz
+man/man1/ps2pdf13.1.gz
+man/man1/ps2pdf14.1.gz
+man/man1/ps2pdfwr.1.gz
+man/man1/ps2ps.1.gz
+man/man1/wftopfa.1.gz
 %%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-EUC-H
 %%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-EUC-V
 %%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-H

Modified: head/print/ghostscript9-nox11/Makefile
==============================================================================
--- head/print/ghostscript9-nox11/Makefile	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9-nox11/Makefile	Sun Mar  2 18:18:19 2014	(r346786)
@@ -4,5 +4,4 @@ OPTIONS_UNSET=	X11
 
 MASTERDIR=	${.CURDIR}/../ghostscript9
 
-NO_STAGE=	yes
 .include        "${MASTERDIR}/Makefile"

Modified: head/print/ghostscript9/Makefile
==============================================================================
--- head/print/ghostscript9/Makefile	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9/Makefile	Sun Mar  2 18:18:19 2014	(r346786)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ghostscript
 PORTVERSION=	9.06
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	print
 MASTER_SITES=	http://downloads.ghostscript.com/public/:gs_srcs \
 		SF/ghostscript/GPL%20Ghostscript/${PORTVERSION}:gs_srcs \
@@ -20,14 +20,14 @@ COMMENT=	Ghostscript 9.x PostScript inte
 
 LICENSE=	GPLv3
 
-LIB_DEPENDS=	expat:${PORTSDIR}/textproc/expat2 \
-		idn:${PORTSDIR}/dns/libidn \
-		jbig2dec:${PORTSDIR}/graphics/jbig2dec \
-		jpeg:${PORTSDIR}/graphics/jpeg \
-		png15:${PORTSDIR}/graphics/png \
-		tiff:${PORTSDIR}/graphics/tiff \
-		lcms2:${PORTSDIR}/graphics/lcms2 \
-		paper:${PORTSDIR}/print/libpaper
+LIB_DEPENDS=	libexpat.so:${PORTSDIR}/textproc/expat2 \
+		libidn.so:${PORTSDIR}/dns/libidn \
+		libjbig2dec.so:${PORTSDIR}/graphics/jbig2dec \
+		libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libpng15.so:${PORTSDIR}/graphics/png \
+		libtiff.so:${PORTSDIR}/graphics/tiff \
+		liblcms2.so:${PORTSDIR}/graphics/lcms2 \
+		libpaper.so:${PORTSDIR}/print/libpaper
 RUN_DEPENDS=	${LOCALBASE}/share/${PORTNAME}/fonts/a010013l.pfb:${PORTSDIR}/print/gsfonts
 
 CONFLICTS_INSTALL= \
@@ -47,7 +47,6 @@ GNU_CONFIGURE=	yes
 MAKE_JOBS_UNSAFE=	yes
 MAKE_ENV=	CFLAGS_STANDARD="${CFLAGS}" \
 		XCFLAGS="${XCFLAGS}" XLDFLAGS="${XLDFLAGS}" \
-		EXTRALIBS="${EXTRALIBS}" \
 		SOC_LOADER="dxmainc.c"
 CONFIGURE_ENV=	${MAKE_ENV}
 CONFIGURE_ARGS=	--disable-compile-inits \
@@ -78,51 +77,23 @@ PKGMESSAGE=	${WRKDIR}/pkg-message
 
 OPTIONS_DEFINE=	X11 DOCS CUPS FONTCONFIG ICONV GTK2
 OPTIONS_DEFAULT=X11 DOCS CUPS FONTCONFIG ICONV
+OPTIONS_SUB=	yes
 FONTCONFIG_DESC=Enable fontconfig support
 NO_OPTIONS_SORT=yes
 
-MAN1=		dvipdf.1 font2c.1 gs.1 gslp.1 gsnd.1 \
-		pdf2dsc.1 pdf2ps.1 pdfopt.1 pf2afm.1 pfbtopfa.1 printafm.1 \
-		ps2ascii.1 ps2epsi.1 ps2pdf.1 ps2pdfwr.1 ps2ps.1 \
-		wftopfa.1
-MLINKS=		gslp.1 gsbj.1 \
-		gslp.1 gsdj.1 \
-		gslp.1 gsdj500.1 \
-		gslp.1 gslj.1 \
-		ps2pdf.1 ps2pdf12.1 \
-		ps2pdf.1 ps2pdf13.1 \
-		ps2pdf.1 ps2pdf14.1 \
-		ps2ps.1 eps2eps.1
-
 EXCLUDE_DIRS=	freetype jbig2dec jpeg expat jasper lcms lcms2 libpng tiff zlib
 
-NO_STAGE=	yes
 .include "Makefile.drivers"
 .include <bsd.port.options.mk>
 
 MASTERDIR?=	${.CURDIR}
 .include "${MASTERDIR}/files/Makefile.drivers_post"
 
-.for D in ${OPTIONS_DEFINE:MGS_*:S/^GS_//} \
-	${OPTIONS_MULTI_X11:MGS_*:S/^GS_//} \
-	${OPTIONS_GROUP_ICONV:MGS_*:S/^GS_//} \
-	${OPTIONS_GROUP_SVGALIB:MGS_*:S/^GS_//}
-.if ${PORT_OPTIONS:MGS_${D}}
-PLIST_SUB+=	GS_${D}=""
-.else
-PLIST_SUB+=	GS_${D}="@comment "
-.endif
-.endfor
-
-.if ${PORT_OPTIONS:MFONTCONFIG}
-LIB_DEPENDS+=	fontconfig:${PORTSDIR}/x11-fonts/fontconfig
-CONFIGURE_ARGS+=	--enable-fontconfig
-.else
-CONFIGURE_ARGS+=	--disable-fontconfig
-.endif
+FONTCONFIG_LIB_DEPENDS=	libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig
+FONTCONFIG_CONFIGURE_ENABLE=	fontconfig
 
 # FT_BRIDGE=1 by default
-LIB_DEPENDS+=	freetype:${PORTSDIR}/print/freetype2
+LIB_DEPENDS+=	libfreetype.so:${PORTSDIR}/print/freetype2
 MAKE_ENV+=	FT_BRIDGE=1
 
 ALL_TARGET=	so
@@ -147,8 +118,8 @@ PORTDOC_FILES=	japanese/Gdevlips.htm jap
 
 post-patch:
 	${REINPLACE_CMD} -e 's|%%DATADIR%%|${DATADIR}|g ; \
-		 s|%%GS_VERSION%%|${PORTVERSION}|g' \
-			${WRKSRC}/contrib/japanese/dmp_site.ps
+	    s|%%GS_VERSION%%|${PORTVERSION}|g' \
+	    ${WRKSRC}/contrib/japanese/dmp_site.ps
 
 pre-build-drivers.mak:
 	@${ECHO_CMD} '# automatically generated' > ${WRKSRC}/base/drivers.mak
@@ -180,25 +151,22 @@ pre-install:
 		gs_statd.ps.orig gs_ttf.ps.orig pdf_font.ps.orig
 
 pre-su-install:
-	${MKDIR} ${DATADIR}
+	${MKDIR} ${STAGEDIR}${DATADIR}
 
 post-install-docs:
 	${MKDIR} ${WRKSRC}/contrib/japanese
 	${INSTALL_DATA} ${WRKSRC}/contrib/japanese/doc/* ${WRKSRC}/contrib/japanese
-	${MKDIR} ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
 	cd ${WRKSRC}/contrib && \
 		${TAR} -cf - ${PORTDOC_FILES} | \
-		( cd ${DOCSDIR} && ${TAR} -xof - )
+		( cd ${STAGEDIR}${DOCSDIR} && ${TAR} -xof - )
 
 post-install:
-	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${DATADIR}/${PORTVERSION}
-	${STRIP_CMD} ${PREFIX}/bin/gsc ${PREFIX}/bin/gsx
-	${LN} -sf gsc ${PREFIX}/bin/gs
+	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${STAGEDIR}${DATADIR}/${PORTVERSION}
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/gsc ${STAGEDIR}${PREFIX}/bin/gsx
+	${LN} -sf gsc ${STAGEDIR}${PREFIX}/bin/gs
 	${LN} -s -f ${LOCALBASE}/share/fonts/CIDFont \
-		${DATADIR}/${PORTVERSION}/Resource/CIDFont/fonts
-	@${ECHO_MSG}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_MSG}
+		${STAGEDIR}${DATADIR}/${PORTVERSION}/Resource/CIDFont/fonts
 
 .if ${PORT_OPTIONS:MDOCS}
 post-install: post-install-docs

Modified: head/print/ghostscript9/files/Makefile.dmprt
==============================================================================
--- head/print/ghostscript9/files/Makefile.dmprt	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9/files/Makefile.dmprt	Sun Mar  2 18:18:19 2014	(r346786)
@@ -3,6 +3,6 @@
 post-install-dmprt:
 	cd ${FILESDIR} && \
 		${INSTALL_DATA} lqx70ch.upp lqx70cl.upp lqx70cm.upp \
-		${DATADIR}/${PORTVERSION}/lib
+		${STAGEDIR}${DATADIR}/${PORTVERSION}/lib
 
 post-install: post-install-dmprt

Modified: head/print/ghostscript9/files/Makefile.drivers_post
==============================================================================
--- head/print/ghostscript9/files/Makefile.drivers_post	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9/files/Makefile.drivers_post	Sun Mar  2 18:18:19 2014	(r346786)
@@ -111,8 +111,7 @@ PORT_OPTIONS:=	${PORT_OPTIONS:NGS_${D}}
 
 .if defined(_ICONV_DEVS)
 USES+=		iconv
-CONFIGURE_ARGS+=--with-libiconv=gnu
-EXTRALIBS+=	-liconv
+CONFIGURE_ARGS+=--with-libiconv=maybe
 .else
 CONFIGURE_ARGS+=--with-libiconv=no
 .endif

Modified: head/print/ghostscript9/files/Makefile.epag
==============================================================================
--- head/print/ghostscript9/files/Makefile.epag	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9/files/Makefile.epag	Sun Mar  2 18:18:19 2014	(r346786)
@@ -17,7 +17,7 @@ post-build-epag:
 		${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} Makefile
 
 post-install-epag:
-	${INSTALL_PROGRAM} ${WRKSRC}/${EPAG_NAME}/ert ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/${EPAG_NAME}/ert ${STAGEDIR}${PREFIX}/bin
 
 pre-build: pre-build-epag
 post-build: post-build-epag

Modified: head/print/ghostscript9/files/Makefile.pcl3
==============================================================================
--- head/print/ghostscript9/files/Makefile.pcl3	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9/files/Makefile.pcl3	Sun Mar  2 18:18:19 2014	(r346786)
@@ -4,8 +4,6 @@ PORTDOCS+=	pcl3
 PORTDOC_FILES+= pcl3/NEWS pcl3/BUGS pcl3/README pcl3/gs-pcl3.html	\
 	pcl3/how-to-report.txt pcl3/pcl3opts.html
 
-MAN1+=	gs-pcl3.1 pcl3opts.1
-
 post-build-pcl3:
 	cd ${WRKSRC} && \
 		${CC} ${CFLAGS} -I./obj -I./soobj -I./base \
@@ -14,8 +12,8 @@ post-build-pcl3:
 		contrib/pcl3/eprn/mediasize.c contrib/pcl3/src/pclsize.c
 
 post-install-pcl3:
-	${INSTALL_PROGRAM} ${WRKSRC}/bin/pcl3opts ${PREFIX}/bin
-	${MKDIR} ${DATADIR}/${PORTVERSION}/pcl3
+	${INSTALL_PROGRAM} ${WRKSRC}/bin/pcl3opts ${STAGEDIR}${PREFIX}/bin
+	${MKDIR} ${STAGEDIR}${DATADIR}/${PORTVERSION}/pcl3
 	cd ${WRKSRC}/contrib/pcl3 && \
 		${INSTALL_DATA} lib/example.mcf lib/if-pcl3		\
 			ps/calign.ps ps/dumppdd.ps ps/levels-test.ps	\
@@ -24,9 +22,9 @@ post-install-pcl3:
 			ps/margins-EnvDLRotated.ps			\
 			ps/margins-Letter.ps				\
 			ps/margins-LetterRotated.ps			\
-			${DATADIR}/${PORTVERSION}/pcl3
+			${STAGEDIR}${DATADIR}/${PORTVERSION}/pcl3
 	cd ${WRKSRC}/contrib/pcl3/doc && \
-		${INSTALL_MAN} gs-pcl3.1 pcl3opts.1 ${MANPREFIX}/man/man1
+	    ${INSTALL_MAN} gs-pcl3.1 pcl3opts.1 ${STAGEDIR}${MANPREFIX}/man/man1
 
 post-install-docs-pcl3:
 	${MKDIR} ${WRKSRC}/contrib/pcl3

Modified: head/print/ghostscript9/pkg-plist
==============================================================================
--- head/print/ghostscript9/pkg-plist	Sun Mar  2 18:01:04 2014	(r346785)
+++ head/print/ghostscript9/pkg-plist	Sun Mar  2 18:18:19 2014	(r346786)
@@ -41,6 +41,33 @@ lib/libgs.so.%%GS_VERSION%%
 %%X11BITS%%lib/ghostscript/%%GS_VERSION%%/X11.so
 %%X11BITS%%@dirrm lib/ghostscript/%%GS_VERSION%%
 %%X11BITS%%@dirrmtry lib/ghostscript
+man/man1/dvipdf.1.gz
+man/man1/eps2eps.1.gz
+man/man1/font2c.1.gz
+%%GS_pcl3%%man/man1/gs-pcl3.1.gz
+man/man1/gs.1.gz
+man/man1/gsbj.1.gz
+man/man1/gsdj.1.gz
+man/man1/gsdj500.1.gz
+man/man1/gslj.1.gz
+man/man1/gslp.1.gz
+man/man1/gsnd.1.gz
+%%GS_pcl3%%man/man1/pcl3opts.1.gz
+man/man1/pdf2dsc.1.gz
+man/man1/pdf2ps.1.gz
+man/man1/pdfopt.1.gz
+man/man1/pf2afm.1.gz
+man/man1/pfbtopfa.1.gz
+man/man1/printafm.1.gz
+man/man1/ps2ascii.1.gz
+man/man1/ps2epsi.1.gz
+man/man1/ps2pdf.1.gz
+man/man1/ps2pdf12.1.gz
+man/man1/ps2pdf13.1.gz
+man/man1/ps2pdf14.1.gz
+man/man1/ps2pdfwr.1.gz
+man/man1/ps2ps.1.gz
+man/man1/wftopfa.1.gz
 %%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-EUC-H
 %%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-EUC-V
 %%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-H
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Hiroki Sato freebsd_committer 2014-03-02 18:18:36 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter freebsd_committer 2014-03-06 07:08:04 UTC
Author: hrs
Date: Thu Mar  6 07:07:55 2014
New Revision: 347164
URL: http://svnweb.freebsd.org/changeset/ports/347164
QAT: https://qat.redports.org/buildarchive/r347164/

Log:
  - Fix iconv dependency [*]
  - Add STAGEDIR support.
  - Remove FT_BRIDGE option.
  - Fix old syntax in LIB_DEPENDS.
  
  Submitted by:	tijl [*]
  PR:		ports/186705 [*]

Modified:
  head/print/ghostscript8-nox11/Makefile
  head/print/ghostscript8/Makefile
  head/print/ghostscript8/files/Makefile.dmprt
  head/print/ghostscript8/files/Makefile.drivers_post
  head/print/ghostscript8/files/Makefile.epag
  head/print/ghostscript8/files/Makefile.pcl3
  head/print/ghostscript8/files/pkg-message.in
  head/print/ghostscript8/pkg-plist

Modified: head/print/ghostscript8-nox11/Makefile
==============================================================================
--- head/print/ghostscript8-nox11/Makefile	Thu Mar  6 06:39:53 2014	(r347163)
+++ head/print/ghostscript8-nox11/Makefile	Thu Mar  6 07:07:55 2014	(r347164)
@@ -5,5 +5,4 @@ OPTIONS_UNSET=  X11
 
 MASTERDIR=	${.CURDIR}/../ghostscript8
 
-NO_STAGE=	yes
 .include        "${MASTERDIR}/Makefile"

Modified: head/print/ghostscript8/Makefile
==============================================================================
--- head/print/ghostscript8/Makefile	Thu Mar  6 06:39:53 2014	(r347163)
+++ head/print/ghostscript8/Makefile	Thu Mar  6 07:07:55 2014	(r347164)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ghostscript
 PORTVERSION=	8.71
-PORTREVISION=	13
+PORTREVISION=	14
 CATEGORIES=	print
 MASTER_SITES=	http://downloads.ghostscript.com/public/:gs_srcs \
 		SF/ghostscript/GPL%20Ghostscript/${PORTVERSION}:gs_srcs \
@@ -21,13 +21,13 @@ COMMENT=	Ghostscript 8.x PostScript inte
 
 LICENSE=	GPLv3
 
-LIB_DEPENDS=	expat:${PORTSDIR}/textproc/expat2 \
-		jasper:${PORTSDIR}/graphics/jasper \
-		jbig2dec:${PORTSDIR}/graphics/jbig2dec \
-		jpeg:${PORTSDIR}/graphics/jpeg \
-		png15:${PORTSDIR}/graphics/png \
-		paper:${PORTSDIR}/print/libpaper \
-		tiff:${PORTSDIR}/graphics/tiff
+LIB_DEPENDS=	libexpat.so:${PORTSDIR}/textproc/expat2 \
+		libjasper.so:${PORTSDIR}/graphics/jasper \
+		libjbig2dec.so:${PORTSDIR}/graphics/jbig2dec \
+		libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libpng15.so:${PORTSDIR}/graphics/png \
+		libpaper.so:${PORTSDIR}/print/libpaper \
+		libtiff.so:${PORTSDIR}/graphics/tiff
 RUN_DEPENDS=	${LOCALBASE}/share/${PORTNAME}/fonts/a010013l.pfb:${PORTSDIR}/print/gsfonts
 
 CONFLICTS_INSTALL= \
@@ -47,7 +47,6 @@ GNU_CONFIGURE=	yes
 MAKE_JOBS_UNSAFE=	yes
 MAKE_ENV=	CFLAGS_STANDARD="${CFLAGS}" \
 		XCFLAGS="${XCFLAGS}" XLDFLAGS="${XLDFLAGS}" \
-		EXTRALIBS="${EXTRALIBS}" \
 		SOC_LOADER="dxmainc.c"
 CONFIGURE_ENV=	${MAKE_ENV}
 CONFIGURE_ARGS=	--disable-compile-inits \
@@ -72,59 +71,28 @@ SUB_FILES=	pkg-message
 SUB_LIST=	DATADIR=${DATADIR} PORTVERSION=${PORTVERSION}
 PKGMESSAGE=	${WRKDIR}/pkg-message
 
-OPTIONS_DEFINE=	X11 DOCS CAIRO CUPS FONTCONFIG FT_BRIDGE GTK2 ICONV
-OPTIONS_DEFAULT=X11 DOCS CAIRO CUPS FONTCONFIG                ICONV
+OPTIONS_DEFINE=	X11 DOCS CAIRO CUPS FONTCONFIG GTK2 ICONV
+OPTIONS_DEFAULT=X11 DOCS CAIRO CUPS FONTCONFIG      ICONV
+OPTIONS_SUB=	yes
 FONTCONFIG_DESC=Enable fontconfig support
-FT_BRIDGE_DESC=	Enable FreeType Bridge support
 NO_OPTIONS_SORT=yes
 
-MAN1=		dvipdf.1 font2c.1 gs.1 gslp.1 gsnd.1 \
-		pdf2dsc.1 pdf2ps.1 pdfopt.1 pf2afm.1 pfbtopfa.1 printafm.1 \
-		ps2ascii.1 ps2epsi.1 ps2pdf.1 ps2pdfwr.1 ps2ps.1 wftopfa.1
-MLINKS=		gslp.1 gsbj.1 \
-		gslp.1 gsdj.1 \
-		gslp.1 gsdj500.1 \
-		gslp.1 gslj.1 \
-		ps2pdf.1 ps2pdf12.1 \
-		ps2pdf.1 ps2pdf13.1 \
-		ps2ps.1 eps2eps.1
-
 CIDFONTDIR=	${DATADIR}/${PORTVERSION}/Resource
 EXCLUDE_DIRS=	jbig2dec jpeg expat jasper libpng tiff zlib
 
-NO_STAGE=	yes
 .include "Makefile.drivers"
 .include <bsd.port.options.mk>
 
 MASTERDIR?=	${.CURDIR}
 .include "${MASTERDIR}/files/Makefile.drivers_post"
 
-.for D in ${OPTIONS_DEFINE:MGS_*:S/^GS_//} \
-	${OPTIONS_MULTI_X11:MGS_*:S/^GS_//} \
-	${OPTIONS_GROUP_ICONV:MGS_*:S/^GS_//} \
-	${OPTIONS_GROUP_SVGALIB:MGS_*:S/^GS_//}
-.if ${PORT_OPTIONS:MGS_${D}}
-PLIST_SUB+=	GS_${D}=""
-.else
-PLIST_SUB+=	GS_${D}="@comment "
-.endif
-.endfor
+FONTCONFIG_LIB_DEPENDS=	libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig
+FONTCONFIG_CONFIGURE_ENABLE=	fontconfig
 
-.if ${PORT_OPTIONS:MFONTCONFIG}
-LIB_DEPENDS+=	fontconfig:${PORTSDIR}/x11-fonts/fontconfig
-CONFIGURE_ARGS+=	--enable-fontconfig
-.else
-CONFIGURE_ARGS+=	--disable-fontconfig
-.endif
-
-.if ${PORT_OPTIONS:MFT_BRIDGE}
-LIB_DEPENDS+=	freetype:${PORTSDIR}/print/freetype2
+# FT_BRIDGE=1 by default
+LIB_DEPENDS+=	libfreetype.so:${PORTSDIR}/print/freetype2
 MAKE_ENV+=	FT_BRIDGE=1 FT_ROOT="${WRKSRC}/freetype" FT_LIB_EXT=".so"
 CPPFLAGS+=	-I${LOCALBASE}/include/freetype2
-PLIST_SUB+=	FAPI=""
-.else
-PLIST_SUB+=	FAPI="@comment "
-.endif
 
 ALL_TARGET=	so
 INSTALL_TARGET=	soinstall
@@ -148,8 +116,8 @@ PORTDOC_FILES=	japanese/Gdevlips.htm jap
 
 post-patch:
 	${REINPLACE_CMD} -e 's|%%DATADIR%%|${DATADIR}|g ; \
-		 s|%%GS_VERSION%%|${PORTVERSION}|g' \
-			${WRKSRC}/contrib/japanese/dmp_site.ps
+	    s|%%GS_VERSION%%|${PORTVERSION}|g' \
+	    ${WRKSRC}/contrib/japanese/dmp_site.ps
 
 pre-build-drivers.mak:
 	@${ECHO_CMD} '# automatically generated' > ${WRKSRC}/base/drivers.mak
@@ -174,7 +142,6 @@ pre-build-drivers.mak:
 pre-build: pre-build-drivers.mak
 	${MKDIR} ${WRKSRC}/obj
 	${MKDIR} ${WRKSRC}/bin
-.if ${PORT_OPTIONS:MFT_BRIDGE}
 	${MKDIR} ${WRKSRC}/freetype/include
 	${LN} -s -f ${LOCALBASE}/include/ft2build.h \
 		${WRKSRC}/freetype/include/ft2build.h
@@ -183,36 +150,27 @@ pre-build: pre-build-drivers.mak
 	${MKDIR} ${WRKSRC}/freetype/objs
 	${LN} -s -f ${LOCALBASE}/lib/libfreetype.so \
 		${WRKSRC}/freetype/objs/freetype214MT_D.so
-.endif
 
 pre-su-install:
-	${MKDIR} ${DATADIR}
+	${MKDIR} ${STAGEDIR}${DATADIR}
 
 post-install-docs:
 	${MKDIR} ${WRKSRC}/contrib/japanese
 	${INSTALL_DATA} ${WRKSRC}/contrib/japanese/doc/* ${WRKSRC}/contrib/japanese
-	${MKDIR} ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
 	cd ${WRKSRC}/contrib && \
 		${TAR} -cf - ${PORTDOC_FILES} | \
-		( cd ${DOCSDIR} && ${TAR} -xof - )
+		( cd ${STAGEDIR}${DOCSDIR} && ${TAR} -xof - )
 
-.if ${PORT_OPTIONS:MFT_BRIDGE}
-post-install-fapi:
+post-install:
 	${INSTALL_DATA} ${WRKSRC}/lib/FAPIcidfmap			\
 		${WRKSRC}/lib/FAPIconfig ${WRKSRC}/lib/FAPIfontmap	\
-		${DATADIR}/${PORTVERSION}/Resource/Init
-
-post-install: post-install-fapi
-.endif
-
-post-install:
-	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${DATADIR}/${PORTVERSION}
-	${STRIP_CMD} ${PREFIX}/bin/gsc ${PREFIX}/bin/gsx
-	${LN} -sf gsc ${PREFIX}/bin/gs
-	${LN} -s -f ${LOCALBASE}/share/fonts/CIDFont ${CIDFONTDIR}/CIDFont
-	@${ECHO_MSG}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_MSG}
+		${STAGEDIR}${DATADIR}/${PORTVERSION}/Resource/Init
+	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${STAGEDIR}${DATADIR}/${PORTVERSION}
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/gsc ${STAGEDIR}${PREFIX}/bin/gsx
+	${LN} -sf gsc ${STAGEDIR}${PREFIX}/bin/gs
+	${LN} -s -f ${LOCALBASE}/share/fonts/CIDFont \
+	    ${STAGEDIR}${CIDFONTDIR}/CIDFont
 
 .if ${PORT_OPTIONS:MDOCS}
 post-install: post-install-docs

Modified: head/print/ghostscript8/files/Makefile.dmprt
==============================================================================
--- head/print/ghostscript8/files/Makefile.dmprt	Thu Mar  6 06:39:53 2014	(r347163)
+++ head/print/ghostscript8/files/Makefile.dmprt	Thu Mar  6 07:07:55 2014	(r347164)
@@ -3,6 +3,6 @@
 post-install-dmprt:
 	cd ${FILESDIR} && \
 		${INSTALL_DATA} lqx70ch.upp lqx70cl.upp lqx70cm.upp \
-		${DATADIR}/${PORTVERSION}/lib
+		${STAGEDIR}${DATADIR}/${PORTVERSION}/lib
 
 post-install: post-install-dmprt

Modified: head/print/ghostscript8/files/Makefile.drivers_post
==============================================================================
--- head/print/ghostscript8/files/Makefile.drivers_post	Thu Mar  6 06:39:53 2014	(r347163)
+++ head/print/ghostscript8/files/Makefile.drivers_post	Thu Mar  6 07:07:55 2014	(r347164)
@@ -40,7 +40,7 @@ PORT_OPTIONS:=	${PORT_OPTIONS:NGS_${D}}
 .endfor
 
 .if defined(_CUPS_DEVS)
-LIB_DEPENDS+=	cupsimage.2:${PORTSDIR}/print/cups-image
+LIB_DEPENDS+=	libcupsimage.so:${PORTSDIR}/print/cups-image
 CONFIGURE_ARGS+=	--enable-cups
 .else
 CONFIGURE_ARGS+=	--disable-cups
@@ -61,7 +61,7 @@ OPTIONS_UNSET+=	${PORT_OPTIONS:MGS_${D}}
 .endfor
 
 .if defined(_VGA_DEVS)
-LIB_DEPENDS+=	vga.1:${PORTSDIR}/graphics/svgalib
+LIB_DEPENDS+=	libvga.so:${PORTSDIR}/graphics/svgalib
 .endif
 
 # x11 specific
@@ -109,8 +109,7 @@ PORT_OPTIONS:=	${PORT_OPTIONS:NGS_${D}}
 
 .if defined(_ICONV_DEVS)
 USES+=		iconv
-CONFIGURE_ARGS+=--with-libiconv=gnu
-EXTRALIBS+=	-liconv
+CONFIGURE_ARGS+=--with-libiconv=maybe
 .else
 CONFIGURE_ARGS+=--with-libiconv=no
 .endif
@@ -125,7 +124,7 @@ PORT_OPTIONS:=	${PORT_OPTIONS:NGS_${D}}
 .endfor
 
 .if defined(_CAIRO_DEVS)
-LIB_DEPENDS+=	cairo:${PORTSDIR}/graphics/cairo
+LIB_DEPENDS+=	libcairo.so:${PORTSDIR}/graphics/cairo
 CONFIGURE_ARGS+=	--enable-cairo
 .else
 CONFIGURE_ARGS+=	--disable-cairo

Modified: head/print/ghostscript8/files/Makefile.epag
==============================================================================
--- head/print/ghostscript8/files/Makefile.epag	Thu Mar  6 06:39:53 2014	(r347163)
+++ head/print/ghostscript8/files/Makefile.epag	Thu Mar  6 07:07:55 2014	(r347164)
@@ -17,7 +17,7 @@ post-build-epag:
 		${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} Makefile
 
 post-install-epag:
-	${INSTALL_PROGRAM} ${WRKSRC}/${EPAG_NAME}/ert ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/${EPAG_NAME}/ert ${STAGEDIR}${PREFIX}/bin
 
 pre-build: pre-build-epag
 post-build: post-build-epag

Modified: head/print/ghostscript8/files/Makefile.pcl3
==============================================================================
--- head/print/ghostscript8/files/Makefile.pcl3	Thu Mar  6 06:39:53 2014	(r347163)
+++ head/print/ghostscript8/files/Makefile.pcl3	Thu Mar  6 07:07:55 2014	(r347164)
@@ -4,8 +4,6 @@ PORTDOCS+=	pcl3
 PORTDOC_FILES+= pcl3/NEWS pcl3/BUGS pcl3/README pcl3/gs-pcl3.html	\
 	pcl3/how-to-report.txt pcl3/pcl3opts.html
 
-MAN1+=	gs-pcl3.1 pcl3opts.1
-
 post-build-pcl3:
 	cd ${WRKSRC} && \
 		${CC} ${CFLAGS} -I./obj -I./soobj -I./base \
@@ -14,8 +12,8 @@ post-build-pcl3:
 		contrib/pcl3/eprn/mediasize.c contrib/pcl3/src/pclsize.c
 
 post-install-pcl3:
-	${INSTALL_PROGRAM} ${WRKSRC}/bin/pcl3opts ${PREFIX}/bin
-	${MKDIR} ${DATADIR}/${PORTVERSION}/pcl3
+	${INSTALL_PROGRAM} ${WRKSRC}/bin/pcl3opts ${STAGEDIR}${PREFIX}/bin
+	${MKDIR} ${STAGEDIR}${DATADIR}/${PORTVERSION}/pcl3
 	cd ${WRKSRC}/contrib/pcl3 && \
 		${INSTALL_DATA} lib/example.mcf lib/if-pcl3		\
 			ps/calign.ps ps/dumppdd.ps ps/levels-test.ps	\
@@ -24,9 +22,10 @@ post-install-pcl3:
 			ps/margins-EnvDLRotated.ps			\
 			ps/margins-Letter.ps				\
 			ps/margins-LetterRotated.ps			\
-			${DATADIR}/${PORTVERSION}/pcl3
+			${STAGEDIR}${DATADIR}/${PORTVERSION}/pcl3
 	cd ${WRKSRC}/contrib/pcl3/doc && \
-		${INSTALL_MAN} gs-pcl3.1 pcl3opts.1 ${MANPREFIX}/man/man1
+		${INSTALL_MAN} gs-pcl3.1 pcl3opts.1 \
+		    ${STAGEDIR}${MANPREFIX}/man/man1
 
 post-install-docs-pcl3:
 	${MKDIR} ${WRKSRC}/contrib/pcl3

Modified: head/print/ghostscript8/files/pkg-message.in
==============================================================================
--- head/print/ghostscript8/files/pkg-message.in	Thu Mar  6 06:39:53 2014	(r347163)
+++ head/print/ghostscript8/files/pkg-message.in	Thu Mar  6 07:07:55 2014	(r347164)
@@ -4,5 +4,4 @@ This program may be provided by either p
 tetex things).
 
 Also note that FAPIfontmap and FAPIcidfmap in
-%%DATADIR%%/%%PORTVERSION%%/Resource/Init have to be configured first if
-WITH_FT_BRIDGE is enabled.
+%%DATADIR%%/%%PORTVERSION%%/Resource/Init have to be configured first.

Modified: head/print/ghostscript8/pkg-plist
==============================================================================
--- head/print/ghostscript8/pkg-plist	Thu Mar  6 06:39:53 2014	(r347163)
+++ head/print/ghostscript8/pkg-plist	Thu Mar  6 07:07:55 2014	(r347164)
@@ -41,6 +41,28 @@ include/ghostscript/ierrors.h
 lib/libgs.so
 lib/libgs.so.%%SHLIB_VER%%
 lib/libgs.so.%%GS_VERSION%%
+man/man1/dvipdf.1.gz
+man/man1/eps2eps.1.gz
+man/man1/font2c.1.gz
+%%GS_pcl3%%man/man1/gs-pcl3.1.gz
+man/man1/gs.1.gz
+man/man1/gslp.1.gz
+man/man1/gsnd.1.gz
+%%GS_pcl3%%man/man1/pcl3opts.1.gz
+man/man1/pdf2dsc.1.gz
+man/man1/pdf2ps.1.gz
+man/man1/pdfopt.1.gz
+man/man1/pf2afm.1.gz
+man/man1/pfbtopfa.1.gz
+man/man1/printafm.1.gz
+man/man1/ps2ascii.1.gz
+man/man1/ps2epsi.1.gz
+man/man1/ps2pdf.1.gz
+man/man1/ps2pdf12.1.gz
+man/man1/ps2pdf13.1.gz
+man/man1/ps2pdfwr.1.gz
+man/man1/ps2ps.1.gz
+man/man1/wftopfa.1.gz
 %%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-EUC-H
 %%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-EUC-V
 %%DATADIR%%/%%GS_VERSION%%/Resource/CMap/78-H
@@ -387,9 +409,9 @@ lib/libgs.so.%%GS_VERSION%%
 %%DATADIR%%/%%GS_VERSION%%/examples/tiger.eps
 %%DATADIR%%/%%GS_VERSION%%/examples/vasarely.ps
 %%DATADIR%%/%%GS_VERSION%%/examples/waterfal.ps
-%%FAPI%%%%DATADIR%%/%%GS_VERSION%%/Resource/Init/FAPIcidfmap
-%%FAPI%%%%DATADIR%%/%%GS_VERSION%%/Resource/Init/FAPIconfig
-%%FAPI%%%%DATADIR%%/%%GS_VERSION%%/Resource/Init/FAPIfontmap
+%%DATADIR%%/%%GS_VERSION%%/Resource/Init/FAPIcidfmap
+%%DATADIR%%/%%GS_VERSION%%/Resource/Init/FAPIconfig
+%%DATADIR%%/%%GS_VERSION%%/Resource/Init/FAPIfontmap
 %%DATADIR%%/%%GS_VERSION%%/Resource/Init/FCOfontmap-PCLPS2
 %%DATADIR%%/%%GS_VERSION%%/Resource/Init/Fontmap
 %%DATADIR%%/%%GS_VERSION%%/Resource/Init/Fontmap.GS
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"